singleton Material(BMWE38_paint)
{
   mapTo = "BMWE38_paint";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/paint.dds";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/paint.dds";
   normalMap[0] = "vehicles/BMW_E38/TXT/paint_n.dds";
   normalMap[1] = "vehicles/BMW_E38/TXT/paint_n.dds";
   specularMap[0] = "vehicles/BMW_E38/TXT/paint.dds";
   specularMap[1] = "vehicles/BMW_E38/TXT/paint.dds";
   specularMap[2] = "vehicles/BMW_E38/TXT/paint.dds";
   normalMap[2] = "vehicles/BMW_E38/TXT/paint_n.dds";
   diffuseMap[2] = "vehicles/BMW_E38/TXT/paint.dds";
   specularPower[0] = "6";
   pixelSpecular[0] = "0.5";
   specularPower[1] = "61";
   pixelSpecular[1] = "1";
   specularPower[2] = "84";
   pixelSpecular[2] = "0";
   diffuseColor[0] = "0.996078 0.992157 0.992157 2";
   diffuseColor[1] = "0.996078 0.992157 0.992157 0.578";

   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";

   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[1] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   instanceDiffuse2 = "1";
   doubleSided = "1";
   diffuseColor[2] = "0.996078 0.992157 0.992157 0.595";
   instanceDiffuse[2] = "1";
   specular[0] = "Black";
   specularStrength[1] = "1.47059";
   specularStrength[2] = "0";
   useAnisotropic[2] = "1";
};
singleton Material(BMWE38_chrom)
{
   mapTo = "BMWE38_chrom";
   diffuseColor[0] = "0.992157 0.992157 0.992157 2";
   specular[0] = "0.00390625 0.00390625 0.00390625 1";
   specularPower[0] = "128";
   doubleSided = "0";
   translucentBlendOp = "None";
   diffuseColor[1] = "0.807843 0.764706 0.764706 0.272";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/paint.dds";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/paint.dds";
   normalMap[0] = "vehicles/BMW_E38/TXT/paint_n.dds";
   normalMap[1] = "vehicles/BMW_E38/TXT/paint_n.dds";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   specularMap[0] = "vehicles/BMW_E38/TXT/paint.dds";
   specularMap[1] = "vehicles/BMW_E38/TXT/paint.dds";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";   
   specularStrength[0] = "5";
   specularStrength[1] = "0";
};
singleton Material(BMWE38_black)
{
   mapTo = "BMWE38_black";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.00390625 0.00390625 0.00390625 1";
   specularPower[0] = "128";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseColor[1] = "1 1 1 0.963";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/Black.dds";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/Black.dds";
   normalMap[0] = "vehicles/BMW_E38/TXT/Black_n.dds";
   normalMap[1] = "vehicles/BMW_E38/TXT/Black_n.dds";
   specularMap[0] = "vehicles/BMW_E38/TXT/Black.dds";
   specularMap[1] = "vehicles/BMW_E38/TXT/Black.dds";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";   
};
singleton Material(BMWE38_roof)
{
   mapTo = "BMWE38_roof";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/roof.png";
};
singleton Material(BMWE38_carpet)
{
   mapTo = "BMWE38_carpet";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/carpet.png";
};

singleton Material(BMWE38_glass)
{
   mapTo = "BMWE38_glass";
   diffuseColor[0] = "0.556863 0.556863 0.556863 0.485";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "0";
   translucentBlendOp = "Sub";
   translucent = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};
singleton Material(BMWE38_underbody)
{
   mapTo = "BMWE38_underbody";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/underbody.png";
};
singleton Material(BMWE38_plafon)
{
   mapTo = "BMWE38_plafon";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/plafon.png";
};
singleton Material(BMWE38_but1)
{
   mapTo = "BMWE38_but1";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/but1.png";
};
singleton Material(BMWE38_dinam)
{
   mapTo = "BMWE38_dinam";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/dinam.png";
};
singleton Material(BMWE38_signal_L)
{
    mapTo = "BMWE38_signal_L";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/povorot.png";
    diffuseColor[0] = "1 1 1 0.1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 1;
    doubleSided = "1";
};
singleton Material(BMWE38_signal_R)
{
    mapTo = "BMWE38_signal_R";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/povorot.png";
    diffuseColor[0] = "1 1 1 0.1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 1;
    doubleSided = "1";
};
singleton Material(BMWE38_signal_on)
{
    mapTo = "BMWE38_signal_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/povorot.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_revers)
{
   mapTo = "BMWE38_revers";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/revers.png";
};
singleton Material(BMWE38_revers_on)
{
    mapTo = "BMWE38_revers_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/revers.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_brakelight)
{
   mapTo = "BMWE38_brakelight";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/brakelight.png";
};
singleton Material(BMWE38_brakelight_on)
{
    mapTo = "BMWE38_brakelight_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/brakelight.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_gabarit)
{
   mapTo = "BMWE38_gabarit";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/gabarit.png";
};
singleton Material(BMWE38_gabarit_on)
{
    mapTo = "BMWE38_gabarit_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/gabarit.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_headlight)
{
   mapTo = "BMWE38_headlight";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/headlight.png";
};
singleton Material(BMWE38_headlight_on)
{
    mapTo = "BMWE38_headlight_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/headlight_on.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_headlight_on_intense)
{
    mapTo = "BMWE38_headlight_on_intense";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/headlight_on_intense.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_headlightglass)
{
    mapTo = "BMWE38_headlightglass";
   diffuseColor[0] = "0.996078 0.996078 0.996078 0.922";
   specular[0] = "0.0275 0.0275 0.0275 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/headlightglass.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
};
singleton Material(BMWE38_povorot)
{
    mapTo = "BMWE38_povorot";
   diffuseColor[0] = "0.996078 0.996078 0.996078 0.922";
   specular[0] = "0.0275 0.0275 0.0275 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lightglass.jpg";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
};
singleton Material(E38_lights_dmg)
{
   mapTo = "E38_lights_dmg";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   specularMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};
singleton Material(E38_windshield_dmg)
{
   mapTo = "E38_windshield_dmg";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   specularMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};
singleton Material(E38_glass_dmg)
{
   mapTo = "E38_glass_dmg";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   specularMap[0] = "vehicles/BMW_E38/TXT/E38_glass_dmg.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};
singleton Material(BMWE38_but2)
{
   mapTo = "BMWE38_but2";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/but2.png";
};
singleton Material(BMWE38_wleather)
{
   mapTo = "BMWE38_wleather";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/wleather.jpg";
};
singleton Material(E38_gauges)
{
   mapTo = "E38_gauges";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/gauges.png";
};
singleton Material(E38_gauges_on)
{
    mapTo = "E38_gauges_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/gauges_on.png";
    diffuseColor[0] = "0 0 0 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
};
singleton Material(BMWE38_chmsl)
{
    mapTo = "BMWE38_chmsl";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_chmsl_on)
{
    mapTo = "BMWE38_chmsl_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl_on.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_chmsl_on_intense)
{
    mapTo = "BMWE38_chmsl_on_intense";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl_on_intense.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_detail)
{
   mapTo = "BMWE38_detail";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/detail.png";
};
singleton Material(BMWE38_chmsl2)
{
    mapTo = "BMWE38_chmsl2";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl2.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_chmsl2_on)
{
    mapTo = "BMWE38_chmsl2_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl2_on.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_chmsl2_on_intense)
{
    mapTo = "BMWE38_chmsl2_on_intense";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/chmsl2_on_intense.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    glow[1] = "1";
    emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};
singleton Material(BMWE38_lightglass2)
{
    mapTo = "BMWE38_lightglass2";
   diffuseColor[0] = "0.996078 0.996078 0.996078 0.922";
   specular[0] = "0.0275 0.0275 0.0275 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lightglass2.jpg";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
};
singleton Material(BMWE38_suspension)
{
   mapTo = "BMWE38_suspension";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/suspension.dds";
};
singleton Material(E38_strelki)
{
   mapTo = "E38_strelki";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/strelki.dds";
};
singleton Material(E38_strelki_on)
{
    mapTo = "E38_strelki_on";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/strelki_on.png";
    diffuseColor[0] = "0 0 0 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
};
singleton Material(BMWE38_metal)
{
   mapTo = "BMWE38_metal";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/metal.png";
};
singleton Material(BMWE38_Nengin)
{
   mapTo = "BMWE38_Nengin";
   diffuseColor[0] = "White";
   specular[0] = "White";
   specularPower[0] = "8";
   doubleSided = "1";
   translucentBlendOp = "LerpAlpha";
   diffuseColor[1] = "White";
   materialTag0 = "Miscellaneous";
    dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";   
   colorMap[0] = "vehicles/BMW_E38/TXT/Nengin.dds";
};
singleton Material(BMWE38_setka)
{
   mapTo = "BMWE38_setka";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/grille1.png";
   specularMap[0] = "vehicles/BMW_E38/TXT/grille1.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};


















