singleton Material(BMW_E38BMW_E38_RSglass)
{
    mapTo = "glass";
    reflectivityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/glass_base_2.dds";
    opacityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/glass_base_2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(scfgeen)
{
    mapTo = "screen";
    diffuseMap[0] = "@gt63s_screen";
    reflectivityMap[0] = "vehicles/BMW_E38/BMWM5F10_screen_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblum6ed";
    emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38_interior_salon)
{
mapTo = "BMWE38_leather";
diffuseColor[0] = "1 1 1 0.1";
specular[0] = "0.15 0.15 0.15 1";
specularPower[0] = "1.5";
doubleSided = "1";
translucentBlendOp = "None";
diffuseMap[0] = "vehicles/BMW_E38/TXT/leather.png";
normalMap[0] = "vehicles/BMW_E38/TXT/leather_n.png";
diffuseMap[1] = "vehicles/BMW_E38/TXT/leather.png";
specularPower[1] = "79";
specularStrength[1] = "1.66667";
specularMap[1] = "vehicles/BMW_E38/TXT/otsvet.png";
translucent = "1";
cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38_mobila_salon)
{
mapTo = "mobila";
diffuseColor[0] = "1 1 1 0.1";
specular[0] = "0.15 0.15 0.15 1";
specularPower[0] = "1.5";
doubleSided = "1";
translucentBlendOp = "None";
diffuseMap[0] = "vehicles/BMW_E38/TXT/mobila.png";
normalMap[0] = "vehicles/BMW_E38/TXT/mobila_n.png";
diffuseMap[1] = "vehicles/BMW_E38/TXT/mobila.png";
specularPower[1] = "79";
specularStrength[1] = "1.66667";
specularMap[1] = "vehicles/BMW_E38/TXT/otsvet.png";
translucent = "1";
cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38_tex)
{
mapTo = "BMW_E38_grille";
diffuseMap[0] = "vehicles/BMW_E38/TXT/grilla.png";
normalMap[0] = "vehicles/common/null_n.dds";
specularPower[0] = "1";
pixelSpecular[0] = "1";
diffuseColor[0] = "1 1 1 1";
useAnisotropic[0] = "1";
castShadows = "1";
translucent = "1";
alphaTest = "0";
alphaRef = "0";
doubleSided = "1";
invertBackFaceNormals = "1";
dynamicCubemap = false;
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38BMW_E38_ak47)
{
   mapTo = "BMW_E38_telik";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/FlagLogoDFS.bmp";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/FlagLogoDFS.bmp";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38redgl)
{
    mapTo = "redgl";
    reflectivityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/fara.png";
    opacityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/fara.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "290";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38orgl)
{
    mapTo = "orgl";
    reflectivityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/orange.png";
    opacityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/orange.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38whglass)
{
    mapTo = "peredfar";
    reflectivityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/far.png";
    opacityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/far.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38ton)
{
    mapTo = "ton";
    reflectivityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/black.png";
    opacityMap[0] = "vehicles/BMW_E38/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/black.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38Cerebr)
{
    mapTo = "cerebr";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "20";
    pixelSpecular[0] = "1";
    specularPower[1] = "3";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38salie)
{
mapTo = "salie";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/leather.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/leather.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/leather.png";
specularMap[1] = "vehicles/BMW_E38/TXT/leather.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Makar_Chiz)
{
mapTo = "drevesen";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/der.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/der.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/der.png";
specularMap[1] = "vehicles/BMW_E38/TXT/der.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38pol)
{
mapTo = "pol";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/pol.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/pol.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/pol.png";
specularMap[1] = "vehicles/BMW_E38/TXT/pol.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38temn)
{
mapTo = "temn";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/red.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
specularMap[1] = "vehicles/BMW_E38/TXT/red.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38black)
{
mapTo = "black";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/tagray.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/tagray.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/tagray.png";
specularMap[1] = "vehicles/BMW_E38/TXT/tagray.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38whitee)
{
mapTo = "whitee";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/white.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/white.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/white.png";
specularMap[1] = "vehicles/BMW_E38/TXT/white.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38RS_chrome)
{
    mapTo = "BMW_E38_chrome";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38RS_chrome1)
{
    mapTo = "BMW_E38_Lsignal";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38sig_FL_3)
{
    mapTo = "BMW_E38_Rsignal";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38sig_FR_100)
{
    mapTo = "sig_FR_100";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38sig_RL_100)
{
    mapTo = "sig_RL_100";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38sig_RR_100)
{
    mapTo = "sig_RR_100";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38sho)
{
    mapTo = "sho";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38long)
{
    mapTo = "long";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38fog)
{
    mapTo = "fog";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38rearlig)
{
    mapTo = "rearlig";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38rearlig2)
{
    mapTo = "rearlig2";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38SiguR)
{
    mapTo = "SiguR";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38SiguL)
{
    mapTo = "SiguL";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38rev)
{
    mapTo = "rev";
    diffuseMap[1] = "vehicles/BMW_E38/TXT/ducato_grey.dds";
    specularMap[1] = "vehicles/BMW_E38/TXT/ducato_s.dds";
    normalMap[1] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/BMW_E38/TXT/ducato_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    doubleSided = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38SigRK52)
{
   mapTo = "BMW_E38_podkapot";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/podbonnet.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/podbonnet.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SigLK52)
{
   mapTo = "SigLK52";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lights.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/lights.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rever2)
{
   mapTo = "rever2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/1055.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/1055.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38gorb)
{
   mapTo = "BMW_E38_red";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/fara.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/fara.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38pribus2)
{
   mapTo = "pribus2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/gaauges.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/gaauges.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SigRK5)
{
   mapTo = "SigRK5";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lights.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/lights.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38ruli)
{
   mapTo = "ruli";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38drevehesen)
{
   mapTo = "BMW_E38_gau";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/pribors.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/pribors.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38evaelfsfyhigosexx)
{
    mapTo = "BMW_E38_gaug_on";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
	castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/priborka_BMW_E38.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/priborka_BMW_E38.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};

singleton Material(BMW_E38evaelfsfyhigasfagosex)
{
    mapTo = "BMWE38_fara_on";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
	castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/fara_on.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/fara_on.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};

singleton Material(BMW_E38evaeBMW_E38_opoo_onlfsfyhponyatnoiBMW_E38_opoo_ongasfagosex)
{
    mapTo = "ponyatno";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
	castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/knopki.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/knopki.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};

singleton Material(BMW_E38sgragy)
{
   mapTo = "BMW_E38_kover";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/CarpetDarkDFS.bmp";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/CarpetDarkDFS.bmp";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38konopat)
{
   mapTo = "BMW_E38_tabl";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/tabl.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/tabl.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38redd)
{
   mapTo = "redd";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38inter)
{
   mapTo = "BMW_E38_brabus";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/brab.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/brab.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38grilleee)
{
   mapTo = "grilleee";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/tresh1.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/tresh1.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38sound)
{
   mapTo = "BMW_E38_fara";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/vehiclelights128.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/vehiclelights128.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38bluck)
{
   mapTo = "bluck";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/tgray.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/tgray.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38grille)
{
   mapTo = "gabar";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38tail1)
{
   mapTo = "m";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/m.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/m.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38tail2)
{
   mapTo = "tail2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38relv)
{
   mapTo = "BMW_E38_spid";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/display_1_D.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/display_1_D.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rodi)
{
   mapTo = "BMW_E38_lsig";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lights_lod0.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/lights_lod0.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38plu)
{
   mapTo = "BMW_E38_rsig";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/lights_lod0.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/lights_lod0.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38pru)
{
   mapTo = "BMW_E38_krystal";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/krystaltex.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/krystaltex.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rers)
{
   mapTo = "BMW_E38_seats";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38260.bmp";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/BMW_E38260.bmp";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rels)
{
   mapTo = "BMW_E38_seats2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/sfb.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/sfb.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38gray)
{
   mapTo = "BMW_E38_priborka";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/777.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/777.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38pribus)
{
   mapTo = "BMW_E38_pol";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/trolza682_pol.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/trolza682_pol.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38nakl)
{
   mapTo = "BMW_E38_stop";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38nutri)
{
   mapTo = "BMW_E38_zadhod";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38centre)
{
   mapTo = "BMW_E38_signal_R";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38m6_fara_on)
{
   mapTo = "BMW_E38_fara_on";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "1";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(BMW_E38speed_r)
{
   mapTo = "BMW_E38_signal_L";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/BMW_E38_fary.png";
   materialTag0 = "Miscellaneous";
};



singleton Material(BMW_E38Rear_K5)
{
   mapTo = "BMW_E38_din";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/dinam1.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/dinam1.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38shos)
{
   mapTo = "shos";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/headl.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/headl.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38longs)
{
   mapTo = "BMW_E38_knop";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/priborka_BMW_E38.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/priborka_BMW_E38.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SOUDABigLK5)
{
   mapTo = "BMW_E38_knopok";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/knopki.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/knopki.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SOUDABigLK5clock)
{
   mapTo = "BMW_E38_clock";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/106.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/106.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SOUDA457BigLK5)
{
   mapTo = "BMW_E38_knop4";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/113.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/113.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38SOUDABigL45K5)
{
   mapTo = "BMW_E38_knop5";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/108.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/108.png";
   materialTag0 = "Miscellaneous";
};


singleton Material(BMW_E38SOUDABigLK2)
{
   mapTo = "BMW_E38_knop2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/109.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/109.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38kituh)
{
    mapTo = "BMW_E38_onscreen";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/screen.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/screen.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};

singleton Material(BMW_E38kituhhhhhhhh)
{
    mapTo = "BMW_E38_onknop";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/107.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/107.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};
singleton Material(BMW_E38kitaguhhhhhhhh)
{
    mapTo = "BMW_E38_onsalon4";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/113.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/113.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};
singleton Material(BMW_E38kituhsghhhhhhh)
{
    mapTo = "BMW_E38_onsalon5";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/108.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/108.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};
singleton Material(BMW_E38soloncaghik)
{
mapTo = "BMW_E38_salon";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/pamusalas.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularMap[1] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38verh)
{
mapTo = "BMW_E38_verh";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/verh.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/verh.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/verh.png";
specularMap[1] = "vehicles/BMW_E38/TXT/verh.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38g05salon_logo)
{
mapTo = "engine.001";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/S5-F90Engine.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/S5-F90Engine.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/S5-F90Engine.png";
specularMap[1] = "vehicles/BMW_E38/TXT/S5-F90Engine.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38g05salon_dildo)
{
mapTo = "BMW_E38_dildo";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/dildo.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/dildo.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/dildo.png";
specularMap[1] = "vehicles/BMW_E38/TXT/dildo.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38g05salon_kolon)
{
mapTo = "BMW_E38_kolon";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/kolon.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/kolon.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/kolon.png";
specularMap[1] = "vehicles/BMW_E38/TXT/kolon.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(BMW_E38motorochil)
{
mapTo = "BMW_E38_salon4";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/dno_rust.bmp";
diffuseMap[0] = "vehicles/BMW_E38/TXT/dno_rust.bmp";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/dno_rust.bmp";
specularMap[1] = "vehicles/BMW_E38/TXT/dno_rust.bmp";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38motorochilllll)
{
mapTo = "BMW_E38_salon5";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/108.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/108.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/108.png";
specularMap[1] = "vehicles/BMW_E38/TXT/108.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38motorochillllgl)
{
mapTo = "BMW_E38_salon6";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/baba.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/baba.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/baba.png";
specularMap[1] = "vehicles/BMW_E38/TXT/baba.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38solosagnchik1)
{
mapTo = "BMW_E38_salon1";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/pamusalas.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularMap[1] = "vehicles/BMW_E38/TXT/pamusalas.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38solonchikk2)
{
mapTo = "BMW_E38_salon2";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/pamusalasss.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/pamusalasss.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/pamusalasss.png";
specularMap[1] = "vehicles/BMW_E38/TXT/pamusalasss.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(BMW_E38solonchik3)
{
mapTo = "BMW_E38_salon3";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/kola.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/kola.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/kola.png";
specularMap[1] = "vehicles/BMW_E38/TXT/kola.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38irbag)
{
mapTo = "BMW_E38_airbag";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/airbag.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/airbag.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/airbag.png";
specularMap[1] = "vehicles/BMW_E38/TXT/airbag.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38g05nadpisi)
{
mapTo = "BMW_E38_nadpisi";
reflectivityMap[0] = "vehicles/BMW_E38/TXT/nadpisi.png";
diffuseMap[0] = "vehicles/BMW_E38/TXT/nadpisi.png";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/BMW_E38/TXT/nadpisi.png";
specularMap[1] = "vehicles/BMW_E38/TXT/nadpisi.png";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "0";
doubleSided = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(BMW_E38shogeron)
{
   mapTo = "shogeron";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/cockpitBaja.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/cockpitBaja.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38dop)
{
   mapTo = "dop";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/cockpitBaja.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/cockpitBaja.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38longeron)
{
   mapTo = "BMW_E38_black";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/black.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/black.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38karat)
{
   mapTo = "karat";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/LCX100DOLMATTXT.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/LCX100DOLMATTXT.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rura)
{
   mapTo = "polosa";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/stitch_steer.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/stitch_steer.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38red)
{
   mapTo = "sym";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/Symbols.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/Symbols.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38neon_ye)
{
   mapTo = "neon_ye";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/yellow.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/yellow.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38neon_or)
{
   mapTo = "neon_or";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/orange.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/orange.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38neon_red)
{
   mapTo = "neon_red";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/red.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38neon_pu)
{
   mapTo = "BMW_E38_screen";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW_E38/TXT/screen.png";
   diffuseMap[1] = "vehicles/BMW_E38/TXT/screen.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38cerebriswtnka)
{
    mapTo = "BMWE38_wood";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/wood.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38redchrome)
{
    mapTo = "BMWE38_logo";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/logo.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38blestaska)
{
    mapTo = "BMW_E38_logo";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/logo1.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38blest)
{
    mapTo = "BMW_E38_carbon";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/carbon.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38hite)
{
   mapTo = "hite";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/BMW_E38/TXT/optika.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38reseka)
{
    mapTo = "BMW_E38_chrome1";
    diffuseMap[0] = "vehicles/BMW_E38/TXT/black.png";
    diffuseColor[0] = "1 1 1 0.1";
    dynamicCubemap = true;
    doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BMW_E38rlig)
{
   mapTo = "rlig";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "1 0 0.0352941193 0.00800000038";
   diffuseColor[1] = "1 0 0.0352941193 0.00800000038";
   colorMap[0] = "vehicles/BMW_E38/TXT/red.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38reve)
{
   mapTo = "reve";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/BMW_E38/TXT/white.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38povo)
{
   mapTo = "povo";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "1 1 0.0352941193 0.00800000038";
   diffuseColor[1] = "1 1 0.0352941193 0.00800000038";
   colorMap[0] = "vehicles/BMW_E38/TXT/pov.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38po)
{
   mapTo = "po";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/BMW_E38/TXT/dispe.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38rlig)
{
   mapTo = "rlig";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "1 0 0.0352941193 0.00800000038";
   diffuseColor[1] = "1 0 0.0352941193 0.00800000038";
   colorMap[0] = "vehicles/BMW_E38/TXT/red.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38reve)
{
   mapTo = "reve";
   specular[0] = "0.996078491 0.996078491 0.996078491 1";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   translucentBlendOp = "None";
   colorMap[0] = "vehicles/BMW_E38/TXT/white.png";
   specular[1] = "0.988235354 0.988235354 0.988235354 0.00800000038";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_E38povo)
{
   mapTo = "povo";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "1 1 0.0352941193 0.00800000038";
   diffuseColor[1] = "1 1 0.0352941193 0.00800000038";
   colorMap[0] = "vehicles/BMW_E38/TXT/pov.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38bluebeac)
{
   mapTo = "bluebeac";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/bluef.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38spedoe)
{
   mapTo = "spedoe";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/gren.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38spedoes)
{
   mapTo = "spedoes";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/eb.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38gauges2)
{
    mapTo = "gauges2";
    diffuseColor[0] = "1 1 1 0.6";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    emissive[1] = "1";
    diffuseColor[1] = "0 0 0 0";
    useAnisotropic[1] = "1";
	castShadows = "1";
    translucent = "1";
    translucentBlendOp = "AddAlpha";
    alphaTest = "0";
    alphaRef = "0";
   colorMap[0] = "vehicles/BMW_E38/TXT/gaauges.png";
   colorMap[1] = "vehicles/BMW_E38/TXT/gaauges.png";
   roughnessFactor[0] = "0.722649872";
   roughnessFactor[1] = "0.722649872";
   order_simset = "1";
   subSurfacaae0 = "0";
};

singleton Material(BMW_E38suup)
{
   mapTo = "BMW_E38_pered_on";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/vehiclelights128.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38neongr)
{
   mapTo = "neongr";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/sgreen.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38neonred)
{
   mapTo = "neonred";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/red.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38neonpu)
{
   mapTo = "neonpu";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/purple.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38svetf1)
{
   mapTo = "svetf1";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/headl.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38svetf2)
{
   mapTo = "svetf2";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/lights.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38svetf3)
{
   mapTo = "BMW_E38_onsvet";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/svet.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(BMW_E38svetf4)
{
   mapTo = "onpov";
   specular[0] = "0.9 0.9 0.9 1";
   translucentBlendOp = "None";
   diffuseColor[0] = "0 1 0 0";
   diffuseColor[1] = "0 1 0 0";
   colorMap[0] = "vehicles/BMW_E38/TXT/lights_lod0.png";
   glow[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};